<?php
/***************************************************************************
 *
 *   Enhanced Signature Separator 
 *	 Author: zZDesigns
 *   Copyright: 2011 zZJoennZz
 *   
 *   Website: http://zzdesigns.cz.cc
 *
 *
 ***************************************************************************/

// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("postbit", "sig_sep_sep");

function sig_sep_info()
{
	return array(
		"name"			=> "Enhanced Signature Sep",
		"description"	=> "A plugin to add image or different signature separator.",
		"website"		=> "http://zzdesigns.cz.cc",
		"author"		=> "zZDesigns",
		"authorsite"	=> "http://giratinascave.com",
		"version"		=> "1.0",
		"guid" 			=> "caff80ee9df29fdaf9b9878f0c84fba7",
		"compatibility" => "*"
	);
}

function sig_sep_activate() {
    global $db, $mybb, $lang;
    $sig_sep_group = array (
        'gid'           => 'NULL',
        'name'          => 'sig_sep_group',
        'title'         => 'Enhanced Signature Separator',
        'description'   => 'Settings for Postbit Bubble',
        'disporder'     => "88",
        'isdefault'     => 'no',
    );
    $db->insert_query('settinggroups', $sig_sep_group);
    $gid = $db->insert_id(); 
	
	$sig_sep_setting = array(
        'sid'            => 'NULL',
        'name'           => 'enable_sig_sep',
        'title'          => 'Power on?',
        'description'    => 'Select yes if you want to enable ESS',
        'optionscode'    => 'yesno',
        'value'          => '1',
        'disporder'      => 1,
        'gid'            => intval($gid),
    );
    $db->insert_query('settings', $sig_sep_setting);
    rebuild_settings();
	
	$sig_sep_setting = array(
        'sid'            => 'NULL',
        'name'           => 'sig_sep_sepa',
        'title'          => 'Signature Separator',
        'description'    => 'You can use HTML here and image. NOTE: DO NOT REMOVE THE <b>br</b> tag!',
        'optionscode'    => 'text',
        'value'          => '<br />',
        'disporder'      => 2,
        'gid'            => intval($gid),
    );
    $db->insert_query('settings', $sig_sep_setting);
    rebuild_settings();
}

function sig_sep_deactivate()
{
	global $db, $mybb;
	// delete settings group
	$db->delete_query("settinggroups", "name = 'sig_sep_group'");

	// remove settings
	$db->delete_query('settings', 'name IN (\'sig_sep_group\',\'enable_sig_sep\',\'sig_sep_sepa\')');
    rebuild_settings();
}


function sig_sep_sep($post)
{
	global $mybb, $lang;
	if ($mybb->settings['enable_sig_sep'] != 1)
		return;
		
	$post = str_replace("<hr size=\"1\" width=\"25%\"  align=\"left\" />", ($mybb->settings['sig_sep_sepa']), $post);
	return $post;
}

?>